# LinguakitRuby

## Installation

Move to tmp directory

```bash
cd /tmp
```

Clone NLP project

```bash
git clone https://github.com/4Talent/Linguakit
```

Using Make (to be installed in an accessible bin directory):

```bash
cd Linguakit
sudo make deps
sudo make install
```

Add this line to your application's Gemfile:

```ruby
gem 'linguakit_ruby'
```

And then execute:

```bash
bundle
```

## Usage

```ruby
Linguakit.get_score(principal_items, secondary_items, **opts)
Linguakit.keyword(input, **args)
```

## Example

```ruby
Linguakit.keyword("Estoy en Santiago, en la casa de mi amigo de Pedro. Luego voy a Valparaiso para pasear en el parque y conocer la plaza.")
Linguakit.get_score( { data: "FOO" }, { data: ["FOO", "BAR"], type: :arr }, { score: 0.8  )
```

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/4talent/linguakit_ruby. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).

## Code of Conduct

Everyone interacting in the LinguakitRuby project’s codebases, issue trackers, chat rooms and mailing lists is expected to follow the [code of conduct](https://github.com/4talent/linguakit_ruby/blob/master/CODE_OF_CONDUCT.md).

## Thanks to

[@citiususc - Linguakit](https://github.com/citiususc/Linguakit)
[@seamusabshere - FuzzyMatch](https://github.com/seamusabshere/fuzzy_match)
